org.hibernate.search.indexes.interceptor

## Enum IndexingOverride

- java.lang.Object
- - java.lang.Enum<IndexingOverride>
  - - org.hibernate.search.indexes.interceptor.IndexingOverride

- All Implemented Interfaces:
    Serializable, Comparable<IndexingOverride>

      public enum IndexingOverride
      extends Enum<IndexingOverride>

  Set of possible indexing operations
  Author:
    Emmanuel Bernard

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLY_DEFAULT` Let Hibernate Search engine apply the standard operation without overriding it
    `REMOVE` Force an entity to be removed from the index This operation can be safely requested regardless of the actual presence of the entity in the index
    `SKIP` Skip any indexing operation
    `UPDATE` Update the entity index.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexingOverride` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IndexingOverride[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPLY_DEFAULT

          public static final IndexingOverride APPLY_DEFAULT

      Let Hibernate Search engine apply the standard operation without overriding it

    - #### SKIP

          public static final IndexingOverride SKIP

      Skip any indexing operation

    - #### REMOVE

          public static final IndexingOverride REMOVE

      Force an entity to be removed from the index This operation can be safely requested regardless of the actual presence of the entity in the index

    - #### UPDATE

          public static final IndexingOverride UPDATE

      Update the entity index. It is safe to update an entity that has not been added yet.

  - ### Method Detail

    - #### values

          public static IndexingOverride[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexingOverride c : IndexingOverride.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexingOverride valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved